it.gov.taccuino

## Class TaccuinoType.OsservazioniPersonali.SegniSintomi

- java.lang.Object
- - it.gov.taccuino.TaccuinoType.OsservazioniPersonali.SegniSintomi

- Enclosing class:
    TaccuinoType.OsservazioniPersonali

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class TaccuinoType.OsservazioniPersonali.SegniSintomi
      extends Object

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="sintomi" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="sintomo" maxOccurs="unbounded">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence>
                                   <element name="areaInteressata">
                                     <complexType>
                                       <simpleContent>
                                         <extension base="<urn:taccuino:common>string1_128">
                                           <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                                           <attribute name="code" type="{urn:taccuino:common}string1_200" />
                                         </extension>
                                       </simpleContent>
                                     </complexType>
                                   </element>
                                   <element name="descrizione">
                                     <complexType>
                                       <simpleContent>
                                         <extension base="<urn:taccuino:common>string1_256">
                                           <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                                           <attribute name="code" type="{urn:taccuino:common}string1_200" />
                                         </extension>
                                       </simpleContent>
                                     </complexType>
                                   </element>
                                 </sequence>
                                 <attribute name="dataRegistrazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                 <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                 <attribute name="dataInizioSintomo" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                 <attribute name="dataFineSintomo" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="dolori">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="dolore" maxOccurs="unbounded">
                           <complexType>
                             <complexContent>
                               <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                                 <sequence>
                                   <element name="areaInteressata">
                                     <complexType>
                                       <simpleContent>
                                         <extension base="<urn:taccuino:common>string1_128">
                                           <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                                           <attribute name="code" type="{urn:taccuino:common}string1_200" />
                                         </extension>
                                       </simpleContent>
                                     </complexType>
                                   </element>
                                   <element name="descrizione">
                                     <complexType>
                                       <simpleContent>
                                         <extension base="<urn:taccuino:common>string1_256">
                                           <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                                           <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                                           <attribute name="code" type="{urn:taccuino:common}string1_200" />
                                         </extension>
                                       </simpleContent>
                                     </complexType>
                                   </element>
                                 </sequence>
                                 <attribute name="dataRegistrazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                 <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                 <attribute name="dataInizioDolore" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                 <attribute name="dataFineDolore" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
                                 <attribute name="valoreDolore">
                                   <simpleType>
                                     <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                                       <enumeration value="0"/>
                                       <enumeration value="2"/>
                                       <enumeration value="4"/>
                                       <enumeration value="6"/>
                                       <enumeration value="8"/>
                                       <enumeration value="10"/>
                                     </restriction>
                                   </simpleType>
                                 </attribute>
                               </restriction>
                             </complexContent>
                           </complexType>
                         </element>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori` Classe Java per anonymous complex type.
    `static class` | `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori` | `dolori`
    `protected TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi` | `sintomi`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SegniSintomi()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori` | `getDolori()` Recupera il valore della proprietà dolori.
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi` | `getSintomi()` Recupera il valore della proprietà sintomi.
    `void` | `setDolori(TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori value)` Imposta il valore della proprietà dolori.
    `void` | `setSintomi(TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi value)` Imposta il valore della proprietà sintomi.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sintomi

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi sintomi

    - #### dolori

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori dolori

  - ### Constructor Detail

    - #### SegniSintomi

          public SegniSintomi()

  - ### Method Detail

    - #### getSintomi

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi getSintomi()

      Recupera il valore della proprietà sintomi.
      Returns:
        possible object is `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi`

    - #### setSintomi

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setSintomi(TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi value)

      Imposta il valore della proprietà sintomi.
      Parameters:
        `value` - allowed object is `TaccuinoType.OsservazioniPersonali.SegniSintomi.Sintomi`

    - #### getDolori

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori getDolori()

      Recupera il valore della proprietà dolori.
      Returns:
        possible object is `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori`

    - #### setDolori

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDolori(TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori value)

      Imposta il valore della proprietà dolori.
      Parameters:
        `value` - allowed object is `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori`

Copyright © 2024. All rights reserved.